pw_context_events Struct Reference
Core API » Context

context events emitted by the context object added with pw_context_add_listener More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| The context is being destroyed. More...
void(* | free )(void *data)
| The context is being freed. More...
void(* | check_access )(void *data, struct pw_impl_client *client)
| a new client object is added More...
void(* | global_added )(void *data, struct pw_global *global)
| a new global object was added More...
void(* | global_removed )(void *data, struct pw_global *global)
| a global object was removed More...

## Detailed Description

context events emitted by the context object added with pw_context_add_listener

## Field Documentation

## version

uint32_t pw_context_events::version

## destroy

void(* pw_context_events::destroy) (void *data)

The context is being destroyed.

## free

void(* pw_context_events::free) (void *data)

The context is being freed.

## check_access

void(* pw_context_events::check_access) (void *data, struct pw_impl_client *client)

a new client object is added

## global_added

void(* pw_context_events::global_added) (void *data, struct pw_global *global)

a new global object was added

## global_removed

void(* pw_context_events::global_removed) (void *data, struct pw_global *global)

a global object was removed

The documentation for this struct was generated from the following file:

- pipewire/context.h